############################################################################### 
# Copyright (c) 2003, 2004 IBM Corporation and others. 
# All rights reserved. This program and the accompanying materials 
# are made available under the terms of the Common Public License v1.0 
# which accompanies this distribution, and is available at 
# http://www.eclipse.org/legal/cpl-v10.html 
# 
# Contributors: 
# IBM Corporation - initial API and implementation 
############################################################################### 

Compiler.CantReadSourceFile=Failed to read resource from file: 
Compiler.EmptyFile=Probekit source file is empty.
Compiler.NoProbekitSource=Resource does not contain any Probekit source code
Compiler.MissingFile=Probekit: the file for this resource doesn't exist
Compiler.NoProbekitResource=Failed to get a Probekit resource from this file
Compiler.NoProbekitObject=IWAT5004E Failed to read a Probekit object from this resource
Compiler.NoProbekitObjectWithErrorLog=Failed to read a Probekit object from this resource (see Error Log)
Compiler.BadSetPrefixArg=IWAT5005E setClassPrefix called with an invalid string value: 
Compiler.MarkerCreateError=IWAT5003E Failed to create a Probekit error as a marker
Compiler.VerifyBeforeAdd=IWAT5007E Probekit usage error: verify() called without adding any Probekits
Compiler.MultipleDefaultLabels=Multiple Labels have no language specification. Only one default is allowed
Compiler.EmptyNameInLabel=Empty or missing names are not allowed in labels
Compiler.MultipleLabelsNoDefault=When there are multiple labels, there must be exactly one default (with no language specification)
Compiler.NoProbesInProbekit=Empty Probekit source file (no probes inside)
Compiler.NonProbeObject=Probekit source file contains an object that is not a probe
Compiler.EmptyPackageName=Import has an empty or missing package name
Compiler.EmptyStaticFieldType=The type attribute for a staticField element is missing
Compiler.BadStaticFieldType=The StaticField type is not a valid Java identifier: 
Compiler.StaticFieldTypeIsPrimitive=StaticField may not specify a primitive type: 
Compiler.MultipleFragmentsSameType=Multiple fragments of the same type. Only one of each type is allowed. Type: 
Compiler.InvalidFragmentType=Invalid fragment type string: 
Compiler.DuplicateDataItem1=Duplicate data item type in a fragment. Fragment: 
Compiler.DuplicateDataItem2=, data type: 
Compiler.DataItemNotAllowed1=Data items of this type 
Compiler.DataItemNotAllowed2=\ are not allowed in this fragment type: 
Compiler.NoStaticFieldAvailable=A fragment uses the staticField data item but the probe does not declare a StaticField. Fragment type: 
Compiler.BadDataItemType=Invalid data item type string: 
Compiler.MissingDataItemName=A data item has a missing or empty name string
Compiler.BadDataItemName=Invalid Java identifier for data item: 
Compiler.FragmentIsMissingCode=A fragment has no code
Compiler.BadFragmentTypeCombo=Invalid fragment type combination: callsite and method types can not appear together
Compiler.CallsiteCantUseStaticField=Callsite probes (with beforeCall, afterCall) are not allowed to use StaticField.
Compiler.MissingTargetType=Invalid target/filter: missing type string
Compiler.BadTargetType=Unknown target type (must be include or exclude): 
Compiler.BadTargetPattern=A target wildcard pattern contains whitespace (space, tab, etc.)
Compiler.BadTargetAllInclude=All target rules are of type "include." You must append an "exclude" target to exclude all others.
Compiler.ControlKeyNotImpl=Probe uses controlKey, which is not implemented
Compiler.InvocationObjectNotImpl=Probe uses invocationObject, which is not yet implemented
Compiler.TargetsAfterStars=Additional target appears after one that matches all classes and methods. It can not have any effect.
Compiler.LastTargetIsInclude=The last target in a probe is of type \"include.\" Since the implicit final rule is \"include all,\" this has no meaning. Add an \"exclude\" target to exclude all other classes.
CompilerFactory.ExtenderError=Error in Probekit compiler extender 
CompilerFactory.DoesNotImplementIProbeCompiler=: compiler class does not implement IProbeCompiler
CompilerFactory.NoCompilerElements=: no "compiler" elements in extension
